package com.hdp.customerservice.model;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * (pi_customerservice_history)
 * 
 * @author bianj
 * @version 1.0.0 2015-06-17
 */
@Entity
@Table(name = "pi_customerservice_history")
public class HistoryEntity implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 5661580036137274390L;
    
    /**  */
    @Id
    @Column(name = "id", unique = true, nullable = false, length = 19)
    private Long id;
    
    /**  */
    @Column(name = "ent_code", nullable = false, length = 10)
    private Integer entCode;
    
    /**  */
    @Column(name = "openid", nullable = false, length = 64)
    private String openid;
    
    /**  */
    @Column(name = "workid", nullable = false, length = 19)
    private Long workid;
    
    /**  */
    @Column(name = "content", nullable = true, length = 65535)
    private String content;
    
    /**  */
    @Column(name = "type", nullable = false, length = 10)
    private Integer type;
    
    /**  */
    @Column(name = "year", nullable = false, length = 10)
    private Integer year;
    
    /**  */
    @Column(name = "month", nullable = false, length = 10)
    private Integer month;
    
    /**  */
    @Column(name = "day", nullable = false, length = 10)
    private Integer day;
    
    /**  */
    @Column(name = "createat", nullable = false)
    private Date createat;
    
    /**
     * 获取
     * 
     * @return 
     */
     public Long getId() {
        return this.id;
     }
     
    /**
     * 设置
     * 
     * @param id
     *          
     */
     public void setId(Long id) {
        this.id = id;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getEntCode() {
        return this.entCode;
     }
     
    /**
     * 设置
     * 
     * @param entCode
     *          
     */
     public void setEntCode(Integer entCode) {
        this.entCode = entCode;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getOpenid() {
        return this.openid;
     }
     
    /**
     * 设置
     * 
     * @param openid
     *          
     */
     public void setOpenid(String openid) {
        this.openid = openid;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Long getWorkid() {
        return this.workid;
     }
     
    /**
     * 设置
     * 
     * @param workid
     *          
     */
     public void setWorkid(Long workid) {
        this.workid = workid;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public String getContent() {
        return this.content;
     }
     
    /**
     * 设置
     * 
     * @param content
     *          
     */
     public void setContent(String content) {
        this.content = content;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getType() {
        return this.type;
     }
     
    /**
     * 设置
     * 
     * @param type
     *          
     */
     public void setType(Integer type) {
        this.type = type;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getYear() {
        return this.year;
     }
     
    /**
     * 设置
     * 
     * @param year
     *          
     */
     public void setYear(Integer year) {
        this.year = year;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getMonth() {
        return this.month;
     }
     
    /**
     * 设置
     * 
     * @param month
     *          
     */
     public void setMonth(Integer month) {
        this.month = month;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Integer getDay() {
        return this.day;
     }
     
    /**
     * 设置
     * 
     * @param day
     *          
     */
     public void setDay(Integer day) {
        this.day = day;
     }
    
    /**
     * 获取
     * 
     * @return 
     */
     public Date getCreateat() {
        return this.createat;
     }
     
    /**
     * 设置
     * 
     * @param createat
     *          
     */
     public void setCreateat(Date createat) {
        this.createat = createat;
     }
}