package com.hdp.customerservice.websocket;

import java.io.IOException;
import java.util.Iterator;
import java.util.concurrent.ConcurrentHashMap;

import javax.websocket.OnClose;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.hdp.customerservice.websocket.model.Customer;
import com.hdp.customerservice.websocket.model.Waiter;

@ServerEndpoint("/im")
public class IMWebSocketEndpoint {
	private static Log log=LogFactory.getLog(IMWebSocketEndpoint.class);
	
	@OnOpen
	public void handleConnect(Session session) throws IOException{
		Waiter waiter = new Waiter();
		waiter.id=session.getId();
		waiter.name="刘文胜"+Math.random();
		waiter.session = session;
		WaiterManager.addWaiter(waiter);
	}
	
	@OnClose
	public void handleClose(Session session){
		log.info("111111111111111111111111111111111111111");
	}
	
	@OnMessage
	public void handleMessage(Session session, String message) throws IOException {
	}
}
